> For the complete documentation index, see [llms.txt](https://api-docs.appointo.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.appointo.me/reference/api-reference/products.md).

# Products

## To Fetch All Products

## Get Products

<mark style="color:blue;">`GET`</mark> `https://app.appointo.me/api/products`

Fetch all products

#### Query Parameters

| Name         | Type    | Description                                |
| ------------ | ------- | ------------------------------------------ |
| limit        | integer | Limit (max limit: 100. default limit: 100) |
| search\_term | string  | To filter through product names            |
| offset       | string  | Offset                                     |

#### Headers

| Name                                             | Type   | Description        |
| ------------------------------------------------ | ------ | ------------------ |
| APPOINTO-TOKEN<mark style="color:red;">\*</mark> | string | Appointo API token |

{% tabs %}
{% tab title="200 Products successfully fetched" %}

```json
[
  {
    "id": 142,
    "activate": true,
    "product_uuid": "gid://shopify/Product/8005520294172",
    "shop_id": 135,
    "created_at": "2022-11-11T08:18:08.099Z",
    "updated_at": "2023-07-18T16:23:45.242Z",
    "product_name": "Short",
    "show_widget": true,
    "appointment_type": "open",
    "vendor_name": "cosmere-items-dev6",
    "include_variant_booking": true,
    "book_without_pay": false,
    "image_url": null,
    "variants_count": 1,
    "appointments": [
      {
        "id": 302,
        "activate": null,
        "product_uuid": "gid://shopify/Product/8005520294172",
        "calendly_event_uuid": null,
        "duration_uuid": "gid://shopify/ProductVariant/43907273883932",
        "shop_id": 135,
        "product_detail_id": 142,
        "name": "Short - Default Title",
        "is_combo_service": false,
        "price": "100.0",
        "currency": "USD",
        "description": null,
        "archived": false,
      }
    ]
  }
]
```

{% endtab %}

{% tab title="401 Permission denied" %}
{"error\_code":"invalid\_api\_token","message":"API token is invalid. Please check token in Appointo settings."}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.appointo.me/reference/api-reference/products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
